Skip Menu |
 

This queue is for tickets about the Regexp-Common CPAN distribution.

Report information
The Basics
Id: 53250
Status: resolved
Priority: 0/
Queue: Regexp-Common

People
Owner: Nobody in particular
Requestors: jquelin [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 2009123002
Fixed in: (no value)



Subject: submodules should have their own version
regexp-common 2.122 carried a version for each and every module bundled in the dist.
regexp-common 2009123101 doesn't anymore.

which leaves those traces in 02packages.details.txt.gz:
...
Regexp::Common::URI               2.110  A/AB/ABIGAIL/Regexp-Common-2.122.tar.gz
Regexp::Common::URI::fax          2.102  A/AB/ABIGAIL/Regexp-Common-2.122.tar.gz
Regexp::Common::URI::file         2.102  A/AB/ABIGAIL/Regexp-Common-2.122.tar.gz
...

(this makes in particular version 2.122 carried over in minicpan.)

Show quoted text
==> would it be possible to make sure those modules have the same version that the master?

On Thu Dec 31 05:15:32 2009, JQUELIN wrote:
Show quoted text
> regexp-common 2.122 carried a version for each and every module
> bundled in the
> dist.
> regexp-common 2009123101 doesn't anymore.
>
> which leaves those traces in 02packages.details.txt.gz:
> ...
> Regexp::Common::URI 2.110 A/AB/ABIGAIL/Regexp-Common-2.122.tar.gz
> Regexp::Common::URI::fax 2.102 A/AB/ABIGAIL/Regexp-Common-2.122.tar.gz
> Regexp::Common::URI::file 2.102 A/AB/ABIGAIL/Regexp-Common-
> 2.122.tar.gz
> ...
>
> (this makes in particular version 2.122 carried over in minicpan.)
>
> ==> would it be possible to make sure those modules have the same
> version that
> the master?

Thank you for the report.

This issue has been fixed in version 2010010201, which I just released to CPAN.



This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.